---

- name: "Restart Docker daemon"
  ansible.builtin.systemd_service:
    state: restarted
    name: "docker"
  async: 120
  poll: 10
  listen: "restart docker daemon"

- name: "Restart reverse proxy container"
  tags:
    - "upgrade_proxy"
  community.docker.docker_compose_v2:
    project_src: "/home/docker/inverseproxy"
    recreate: always
    state: present
  async: 120
  poll: 10
  listen: "restart reverseproxy container"
